1. Smartlinks
  • Developer Docs Ecuador 🇪🇨
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Refund a transaction
      • Void a transaction
      • Request deferred options
      • Validate OTP
      • Bin Info V2
      • Bin Info
    • One Click and Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Subscription Transactions
      • Get subscription transactions
    • Transfer in
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Cash in
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Transaction Status
      • Delete a cash in transaction
    • Smartlinks
      • Create a Smartlink
        POST
      • Update a Smartlink
        PATCH
      • Get a Smartlink
        GET
      • Delete a smartlink
        DELETE
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get gateway status
      • Get platform status
    • Commissions
      • Get Commission Configuration
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Activate or deactivate
      • Delete credential
      • Update credential
      • Regenerate a credential
      • Advanced search
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • threeDomainSecure
    • webhooks
    • Card-old
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • StatusComponent
    • SettlementDateRangeRequest
    • SubscriptionTransactionsResponse
    • Card
    • currency
    • networkToken
    • ChargebackItem
    • ErrorResponse
    • SettlementTicketRequest
    • SubscriptionTransaction
    • Subscription
    • Amount
    • ErrorResponse400
    • SettlementResponse
    • extraTaxes
    • Country
    • ErrorResponse401
    • SettlementRecord
    • Language
    • Deferred
    • ErrorResponse403
    • Metadata
    • payment_method
    • ErrorResponse500
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • payment_submethod
    • SubscriptionUpdate
    • product
    • SubscriptionAdjustmentRequest
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. Smartlinks

Create a Smartlink

POST
/smartlink/v2/smart-link
Create a smartLink that can later be shared to a customer in order to complete the payment process.
In the form you can include 6 different type of items:
1.
Input: Useful to create tags so customers can include name, email and other important information for the business.
2.
Select: Useful to select from a list of available options.
3.
Date: Shows a calendar if you need the customer to select a specific date.
4.
Area: Useful to enter multiple lines of text.
5.
Checkbox: Useful to let a customer select one or more options from a limited list of choices.
6.
Radio: Allows the customer to choose only one of a limited list of choices.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-uat.kushkipagos.com/smartlink/v2/smart-link' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data '{
    "publicMerchantId": "string",
    "merchantName": "string",
    "paymentConfigType": "fixed",
    "paymentConfig": {
        "paymentType": "unique",
        "amount": {
            "currency": "USD",
            "subtotalIva": 0,
            "subtotalIva0": 10,
            "iva": 0,
            "ice": 0,
            "extraTaxes": {
                "iac": 0,
                "tasaAeroportuaria": 0,
                "agenciaDeViaje": 0
            }
        },
        "paymentMethod": "cash",
        "subscriptionOptions": {
            "amount": {
                "currency": "USD",
                "subtotalIva": 0,
                "subtotalIva0": 10,
                "iva": 0,
                "ice": 0,
                "extraTaxes": {
                    "iac": 0,
                    "tasaAeroportuaria": 0,
                    "agenciaDeViaje": 0
                }
            },
            "periodicity": "daily",
            "planName": "string",
            "startDate": "2019-08-24",
            "terms": "string"
        },
        "mixedOptions": {
            "numberOfFees": 0,
            "periodicity": "daily",
            "subscriptionDay": 0
        }
    },
    "paymentConfig ": {
        "paymentType": "unique",
        "paymentMethod": "cash",
        "currency": "USD",
        "taxEnabled": true,
        "taxPercentage": 0,
        "defaultAmount": 0,
        "minAmount": 1,
        "maxAmount": 1
    },
    "generalConfig": {
        "productName": "string",
        "description": "string",
        "productImage": "string",
        "brandLogo": "string",
        "executionLimit": 0,
        "showTimer": true,
        "enabled": true,
        "termsAndConditions": "string",
        "promotionalText": "string",
        "expirationDate": 0,
        "buyButtonText": "string",
        "hidePayButtonAmount": false,
        "payButtonText": "string"
    },
    "styleAndStructure": {
        "structure": "checkout",
        "coverModel": "left",
        "buttonStyle": "square",
        "primaryColor": "string",
        "secondaryColor": "string"
    },
    "contact": {
        "email": "string",
        "phoneNumber": "string"
    },
    "formConfig": [
        {
            "label": "string",
            "type": "input",
            "split": true,
            "required": true,
            "disabled": true,
            "name": "string",
            "placeholder": "string",
            "value": "string",
            "validateEmail": true
        }
    ],
    "language": "es"
}'
Response Response Example
201 - application/json
{
    "smartLinkUrl": "https://uat.kshk.co/global/4RUvloWDA"
}
Modified at 2026-07-23 17:45:20
Previous
Smartlinks
Next
Update a Smartlink
Built with